function gebi(idname){
	return document.getElementById(idname);
}

function getVersion(){
    var xmlReq = new XMLHttpRequest(); 
    xmlReq.open("GET", "Info.plist", false); 
    xmlReq.send(""); 
    
    var xml = xmlReq.responseXML; 
    var keys = xml.getElementsByTagName("key");
    var ver = "0.0";

    for(i=0; i<keys.length; i++){
		if("CFBundleVersion" == keys[i].firstChild.data){
			ver = keys[i].nextSibling.nextSibling.firstChild.data;
			break;
		}
    }
    return ver;
}

function setToPref(theValue, theKey) {
	widget.setPreferenceForKey(theValue, dashcode.createInstancePreferenceKey(theKey));
}

function getFromPref(theKey) {
	return widget.preferenceForKey(widget.identifier + "-" + theKey);
}

function gotoZvora(event) {
    widget.openURL("http://zvora.nomaki.jp/");
}

var updatePageURL;
function goGetUpdate(event) {
    widget.openURL(updatePageURL);
}

function checkUpdateAvailable() {
	var fileURL = "http://zvora.nomaki.jp/versionsxml/TenkeyTimerVer.xml";
	var currentVersion = getVersion();
	var request = new XMLHttpRequest();
	request.onreadystatechange = function() {
		if(request.readyState == 4) {
			if(request.status == 200) {
				var xmlDoc = request.responseXML;
				var xmlVer = xmlDoc.documentElement.getElementsByTagName("version");
				var recentVersion = xmlVer[0].getAttribute("ver");
				if(recentVersion>currentVersion){
					gebi("btUpdate").style.display = "block";
					updatePageURL = xmlVer[0].getAttribute("url");
				}
			}
		}
	}
	request.open('GET', fileURL, true);
	request.send(null);
}

function getLS (key) {
    try {
        var ret = localizedStrings[key];
        if (ret === undefined) { ret = key;}
        return ret;
    } catch (ex) {}
    return key;
}
