function load() {
    dashcode.setupParts();
	setup();
}

function remove() {
	initForNew();
	clearInterval(playButtonInterval);
	clearInterval(recallButtonInterval);
	clearInterval(clearButtonInterval);
    widget.setPreferenceForKey(null, dashcode.createInstancePreferenceKey("savedTimer"));
}

function hide() {
}

function show() {
}

function sync() {
}

function showBack(event) {
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }

    front.style.display = "none";
    back.style.display = "block";
	isFront = false;

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

function showFront(event) {
    var front = document.getElementById("front");
    var back = document.getElementById("back");

	if(checkPbPlayTimeInput()) {
		if (window.widget){
			setAlarmMessage();
			widget.prepareForTransition("ToFront");
		}

		front.style.display="block";
		back.style.display="none";
		isFront = true;

		if (window.widget) {
			setTimeout('widget.performTransition();', 0);
		}
    }
}

if (window.widget) {
    widget.onremove = remove;
    widget.onhide = hide;
    widget.onshow = show;
    widget.onsync = sync;
	
	window.onfocus = focus;
	window.onblur = blur;
}
